Add Custom Content
post
/content/sim/v1/setup/customContent
Add the custom content to the specified organization.
Request
Supported Media Types
- multipart/form-data
- application/json
Header Parameters
-
Simphony-AuditTrailRef: string
Detail that identifies, who made the change.
Request body
Root Schema : CustomContentInsertRequestBody
Type:
Show Source
object-
description:
object description
Description
-
filename:
string
The name of the custom content file with extensionExample:
ImageSpoons.jpg -
filenameOrigin:
string
the content file origin.Example:
C:\Program Files\Oracle Hospitality\EMCClient\OPIPayment.dll -
hierUnitId(required):
integer
Unique hierarchy unit valueExample:
1 -
name(required):
string
The name of the content object. The name must be unique within the hierarchy unit.Example:
Image Spoons -
target:
string
A string value of 0's & 1's representing the platforms where the content is targetedExample:
11111111111111111111111111111111 -
type(required):
integer
The file type for the custom content.
Value Description 1 LooseXaml 2 String 3 DLL 4 PrecompiledClassName 5 TranslatedText 6 ResourceDictionary 7 PythonScript 8 Image_BMP 9 Image_JPG 10 Image_TIFF 11 Image_GIF 12 Image_PNG 13 Icon 14 Resource_Generic 15 Resource_Style 16 Resource_Brush 17 Resource_Font 19 SimScript 21 CSS 22 Javascript 23 Text 24 Binary 25 BinaryCert 26 EncryptedDllConfiguration 27 Package. Example:9
Nested Schema : description
Type:
objectDescription
Example:
{
"en-US":"Image Spoons",
"de-DE":"Bild Löffel",
"es-MX":"Cucharas de Imagen"
}Response
Supported Media Types
- application/json
200 Response
Custom content Added.
Root Schema : CustomContentResponse
Type:
Show Source
object-
hierUnitId:
integer
Unique hierarchy unit value.Example:
1 -
id:
integer
Unique reference of the contentExample:
1